| Liveness Engine SDK Liveness detection engine.

Public Member Functions | List of all members
lsdk::ILiveness Struct Referenceabstract
Liveness detection.

Liveness detector interface. More...

`#include <ILiveness.h>`

Inheritance diagram for lsdk::ILiveness:

## Public Member Functions
virtual void | reset () noexcept=0
| Reset liveness state to initial condition. More...
virtual fsdk::ResultValue< LSDKError, bool > | update (fsdk::Image &image) noexcept=0
| Update liveness state according to image data. More...
virtual void | runAfter (ILiveness *other) noexcept=0
| Configure this liveness with tracking state from other liveness. More...
virtual bool | getDetection (fsdk::Detection *detection) noexcept=0
| Get fsdk::Detection retrieved from last image. More...
virtual bool | getWarp (fsdk::Image *image) noexcept=0
| Get face warp retrieved from last image. More...
virtual bool | getLandmarks68 (fsdk::Landmarks68 *landmarks68) noexcept=0
| Get 68 facial landmarks extracted from detection from last image. More...
virtual bool | getLandmarks5 (fsdk::Landmarks5 *landmarks5) noexcept=0
| Get 5 facial landmarks extracted from detection from last image. More...
virtual bool | getIrisLandmarks (fsdk::Landmarks< 32 > *irisLandmarks) noexcept=0
| Get 32 iris landmarks extracted from detection from last image. More...
virtual bool | getAngles (Angles *angles) noexcept=0
| Get face angles . More...
virtual bool | getScores (Scores *scores) noexcept=0
| Get face angles . More...
virtual bool | getEyestates (EyeStates *eyeStates) noexcept=0
| Get face angles . More...
virtual fsdk::Result< LSDKError > | loadSettings (fsdk::ISettingsProvider *provider) noexcept=0
| Restore all apropriate settings from given prodvider. More...

## Detailed Description

Liveness detector interface.

## Member Function Documentation

## ◆ getAngles()

virtual bool lsdk::ILiveness::getAngles | ( | Angles * | angles | ) |
| pure virtual noexcept

Get face angles .

Parameters

  angles | preallocated Angles structure.

Returns
  flag of successful data retrieval.

## ◆ getDetection()

virtual bool lsdk::ILiveness::getDetection | ( | fsdk::Detection * | detection | ) |
| pure virtual noexcept

Get fsdk::Detection retrieved from last image.

Parameters

  Detection | preallocated fsdk::Detection to fill.

Returns
  flag of successful data retrieval.

## ◆ getEyestates()

virtual bool lsdk::ILiveness::getEyestates | ( | EyeStates * | eyeStates | ) |
| pure virtual noexcept

Get face angles .

Parameters

  eyeStates | preallocated EyeStates structure.

Returns
  flag of successful data retrieval.

## ◆ getIrisLandmarks()

virtual bool lsdk::ILiveness::getIrisLandmarks | ( | fsdk::Landmarks< 32 > * | irisLandmarks | ) |
| pure virtual noexcept

Get 32 iris landmarks extracted from detection from last image.

Parameters

  irisLandmarks | preallocated array fsdk::Landmarks<32> with atleast 2 elements to fill.

Returns
  flag of successful data retrieval.

## ◆ getLandmarks5()

virtual bool lsdk::ILiveness::getLandmarks5 | ( | fsdk::Landmarks5 * | landmarks5 | ) |
| pure virtual noexcept

Get 5 facial landmarks extracted from detection from last image.

Parameters

  Landmarks5 | preallocated fsdk::Landmarks5 to fill.

Returns
  flag of successful data retrieval.

## ◆ getLandmarks68()

virtual bool lsdk::ILiveness::getLandmarks68 | ( | fsdk::Landmarks68 * | landmarks68 | ) |
| pure virtual noexcept

Get 68 facial landmarks extracted from detection from last image.

Parameters

  Landmarks68 | preallocated fsdk::Landmarks68 to fill.

Returns
  flag of successful data retrieval.

## ◆ getScores()

virtual bool lsdk::ILiveness::getScores | ( | Scores * | scores | ) |
| pure virtual noexcept

Get face angles .

Parameters

  scores | preallocated Scores structure.

Returns
  flag of successful data retrieval.

## ◆ getWarp()

virtual bool lsdk::ILiveness::getWarp | ( | fsdk::Image * | image | ) |
| pure virtual noexcept

Get face warp retrieved from last image.

Parameters

  Image | image to fill.

Returns
  flag of successful data retrieval.

## ◆ loadSettings()

virtual fsdk::Result<LSDKError> lsdk::ILiveness::loadSettings | ( | fsdk::ISettingsProvider * | provider | ) |
| pure virtual noexcept

Restore all apropriate settings from given prodvider.

Parameters

  provider | settings provider to use.

Returns
  error code.

## ◆ reset()

virtual void lsdk::ILiveness::reset | ( |  | ) |
| pure virtual noexcept

Reset liveness state to initial condition.

Resets internal counters, variables, etc.

## ◆ runAfter()

virtual void lsdk::ILiveness::runAfter | ( | ILiveness * | other | ) |
| pure virtual noexcept

Configure this liveness with tracking state from other liveness.

Parameters

  other | finished liveness.

## ◆ update()

virtual fsdk::ResultValue<LSDKError,bool> lsdk::ILiveness::update | ( | fsdk::Image & | image | ) |
| pure virtual noexcept

Update liveness state according to image data.

Parameters

  image | input image. Format must be R8G8B8, images with R8 format will be converted to R8G8B8.

Returns
  ResultValue with error code and detected liveness flag.

Note
  Possible output LSDKErrors:
  - `ERR_NOT_INITIALIZED:` Liveness detector requires initialization;
  - `ERR_PRECONDITION_FAILED:` Liveness algorithm not started because of failed precondition;
  - `ERR_NOT_READY:` Liveness require more update calls for precise definition;
  - `ERR_OK:` Liveness is finished, retrive result via ResultValue.getValue();

See also
  LSDKError for more information.

Note
  Output result: true - liveness confirmed, false - liveness failed.

The documentation for this struct was generated from the following file:

- /home/gitlab-runner/builds/fHtPs42N/0/face-recognition/FaceEngine/extern/LivenessEngine/inc/ILiveness.h